#!/bin/ksh -f

export CASROOT=/usr/ports/cad/opencascade/work/opencascade-6.2/ros
OS_NAME=`uname`
if [ -z "PATH" ];
then PATH=$CASROOT/../3rdparty/$OS_NAME/tcltk/bin:$CASROOT/$OS_NAME/bin;
else PATH=$CASROOT/../3rdparty/$OS_NAME/tcltk/bin:$CASROOT/$OS_NAME/bin:$PATH;
fi
export PATH
if [ -z "LD_LIBRARY_PATH" ];
then LD_LIBRARY_PATH=$CASROOT/../3rdparty/$OS_NAME/tcltk/lib:$CASROOT/$OS_NAME/lib;
else LD_LIBRARY_PATH=$CASROOT/../3rdparty/$OS_NAME/tcltk/lib:$CASROOT/$OS_NAME/lib:$LD_LIBRARY_PATH;
fi
export LD_LIBRARY_PATH
export CSF_MDTVFontDirectory=$CASROOT/src/FontMFT
export CSF_LANGUAGE=us
export MMGT_CLEAR=1
export CSF_EXCEPTION_PROMPT=1
export CSF_SHMessage=$CASROOT/src/SHMessage
export CSF_MDTVTexturesDirectory=$CASROOT/src/Textures
export CSF_XSMessage=$CASROOT/src/XSMessage
export CSF_StandardDefaults=$CASROOT/src/StdResource
export CSF_PluginDefaults=$CASROOT/src/StdResource
export CSF_XCAFDefaults=$CASROOT/src/StdResource
export CSF_StandardLiteDefaults=$CASROOT/src/StdResource
export CSF_GraphicShr=$CASROOT/$OS_NAME/lib/libTKOpenGl.so
export CSF_UnitsLexicon=$CASROOT/src/UnitsAPI/Lexi_Expr.dat
export CSF_UnitsDefinition=$CASROOT/src/UnitsAPI/Units.dat
export CSF_IGESDefaults=$CASROOT/src/XSTEPResource
export CSF_STEPDefaults=$CASROOT/src/XSTEPResource
export CSF_XmlOcafResource=$CASROOT/src/XmlOcafResource

export TCLHOME=$CASROOT/../3rdparty/$OS_NAME/tcltk
export TCLLIBPATH=$TCLHOME/lib
if [ $OS_NAME = "SunOS" ]; then
      export ITK_LIBRARY=$TCLLIBPATH/itk3.2
      export ITCL_LIBRARY=$TCLLIBPATH/itcl3.2
      export TIX_LIBRARY=$TCLLIBPATH/tix8.1
      export TK_LIBRARY=$TCLLIBPATH/tk8.4
      export TCL_LIBRARY=$TCLLIBPATH/tcl8.4;
elif [ $OS_NAME = "Linux" ]; then
      export ITK_LIBRARY=$TCLLIBPATH/itk3.2
      export ITCL_LIBRARY=$TCLLIBPATH/itcl3.2
      if [ -n "TIX_LIBRARY" ];
      then TIX_LIBRARY="";
      fi
      export TIX_LIBRARY
      export TK_LIBRARY=$TCLLIBPATH/tk8.4
      export TCL_LIBRARY=$TCLLIBPATH/tcl8.4
fi
